<!DOCTYPE html>
<html>
	<head>
		<link rel="preconnect" href="https://fonts.googleapis.com">
		<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
		<link href="https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;700&display=swap" rel="stylesheet">

		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>My Portfolio</title>

		<!-- CSS Link -->
		<link rel="stylesheet" type="text/css" href="index.css">

		<!-- Icon Link -->
		<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

		<!-- Bootstrap Link -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

		
	</head>
	<body>
		<!-- Navbar Section Start -->
		<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		  <a class="navbar-brand mx-auto ml-md-5 pl-md-5" href="#home"><h2>Jan</h2></a>
		  <div class="collapse navbar-collapse" id="navbarNav">
		    <ul class="navbar-nav ml-auto">
		      <li class="nav-item active">
		        <a class="nav-link" href="#home">About <span class="sr-only">(current)</span></a>
		      </li>
		      <li class="nav-item">
		        <a class="nav-link" href="#projects">Projects</a>
		      </li>
		      <li class="nav-item">
		        <a class="nav-link" href="#tools">Tools</a>
		      </li>
		      <li class="nav-item">
		        <a class="nav-link" href="#message_me">Contact</a>
		      </li>
		    </ul>
		  </div>
		  <!-- Hamburger Icon -->
		  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
		    <span class="navbar-toggler-icon"></span>
		  </button>
		</nav>
		<!-- Navbar Section End -->

		<!-- Main Content Section Start -->
		<!-- About Me Start-->
		<div class="container-fluid bg-white">
			<div class="row align-items-center justify-content-center p-5" id="home">
				<div class="col-md-3 col-sm-4">
					<img src="./images/2x2.jpg" class="img-fluid rounded-circle border border-primary">
				</div>
				<div class="col-md-8 col-lg-6 text-secondary p-4">
					<h1 class="text-dark p-2 m-2">Hi! I'm Jan Tan</h1>
					<h3>I'm a Full-stack Web Developer that always welcome new challenges.</h3>
					<p class="text-justify mt-4 text-dark">I am a web developer specializing in building and designing websites from scratch using up-to-date tech and tools. I am currently using CSS and Bootstrap.</p>
				</div>
			</div>
		</div>
		<!-- About Me End-->

		<!-- My Projects Section Start -->
		<h1 class="mt-5 mb-2 text-center" id="projects">My Projects</h1>

			<!-- Carousel Start -->
		<div class="col-xl-10 p-0">
			<div class="container-fluid p-1 p-md-3">
				<div class="row d-none d-md-block my-md-3">
					<div class="col-xl-8 offset-xl-3">

						<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
						  <ol class="carousel-indicators">
						    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
						    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
						    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
						  </ol>
						  <div class="carousel-inner">
						  	<!-- Project 1 -->
						    <div class="carousel-item active bg-secondary">
						      <img src="https://cdn.pixabay.com/photo/2018/08/18/13/26/interface-3614766__480.png" class="d-block w-100" alt="">
						      <div class="carousel-caption d-none d-md-block">
						        <h5 class="text-dark">Content Management System</h5>
						        <p class="text-dark">Platform where users can set-up their websites fast and intuitively.</p>
						      </div>
						    </div>

						    <!-- Project 2 -->
						    <div class="carousel-item bg-secondary">
						      <img src="https://static.vecteezy.com/system/resources/previews/006/470/764/original/cost-structure-expense-and-income-balance-calculation-revenue-debt-and-investment-analysis-money-management-budget-or-saving-concept-businessman-with-calculator-with-pie-chart-of-cost-structure-vector.jpg" class="d-block w-100" alt="">
						      <div class="carousel-caption d-none d-md-block">
						        <h5 class="text-dark">Expenses Management System</h5>
						        <p class="text-dark">Management system for tracking expenses that also suggests ways to optimize savings and lessen expenses.</p>
						      </div>
						    </div>

						    <!-- Project 3 -->
						    <div class="carousel-item bg-secondary">
						      <img src="https://youthincmag.com/wp-content/uploads/2019/05/content-marketing-for-small-business.jpg" class="d-block w-100" alt="">
						      <div class="carousel-caption d-none d-md-block">
						        <h5 class="text-dark">Communication Platform</h5>
						        <p class="text-dark">Real-time communication tool that can be used for long distance communication and collaboration.</p>
						      </div>
						    </div>
						  </div>

						  <!-- Carousel Control -->
						  <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
						    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
						    <span class="sr-only">Previous</span>
						  </button>
						  <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
						    <span class="carousel-control-next-icon" aria-hidden="true"></span>
						    <span class="sr-only">Next</span>
						  </button>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- Carousel End -->

		<!-- Card Start -->
		<div class="container-fluid d-sm-block d-md-none">
			<div class="card-deck bg-secondary my-2 justify-content-center">
				<!-- Project 1 -->
				<div class="card">
					<img src="https://cdn.pixabay.com/photo/2018/08/18/13/26/interface-3614766__480.png" class="d-block w-100" class="card-img-top">
					<div class="card-body">
						<h4 class="card-title">Content Management System</h4>
						<p class="card-text">
							Platform where users can set-up their websites fast and intuitively.
						</p>
					</div>
				</div>

				<!-- Project 2 -->
				<div class="card">
					<img src="https://static.vecteezy.com/system/resources/previews/006/470/764/original/cost-structure-expense-and-income-balance-calculation-revenue-debt-and-investment-analysis-money-management-budget-or-saving-concept-businessman-with-calculator-with-pie-chart-of-cost-structure-vector.jpg" class="card-img-top">
					<div class="card-body">
						<h4 class="card-title">Expenses Management System</h4>
						<p class="card-text">
							Management system for tracking expenses that also suggests ways to optimize savings and lessen expenses.
						</p>
					</div>
				</div>

				<!-- Project 3 -->
				<div class="card">
					<img src="https://youthincmag.com/wp-content/uploads/2019/05/content-marketing-for-small-business.jpg" class="card-img-top">
					<div class="card-body">
						<h4 class="card-title">Communication Platform</h4>
						<p class="card-text">
							Real-time communication tool that can be used for long distance communication and collaboration.
						</p>
					</div>
				</div>
			</div>
		</div>
		<!-- Card End -->
		<!-- My Projects Section End -->

		<!-- Tools Start -->
		<div class="container-fluid bg-primary" id="tools">
			<h1 class="mt-5 mb-2 text-center text-white">Tools</h1>
			<div class="d-flex flex-wrap justify-content-center mb-4">
				<img src="./images/logo-html5.png" class="m-1 rounded" width="80">
				<img src="./images/logo-css3.png" class="m-1 rounded" width="80">
				<img src="./images/logo-javascript.png" class="m-1 rounded" width="80">
				<img src="./images/logo-git.png" class="m-1 rounded" width="80">
				<img src="./images/logo-sublime-text-3.png" class="m-1 rounded" width="80">
				<img src="./images/logo-gitlab-ci-cd.png" class="m-1 rounded" width="80">
			</div>
			<div class="d-flex flex-wrap justify-content-center mb-4">
				<img src="./images/logo-expressjs.png" class="m-1 rounded" width="80">
				<img src="./images/logo-react.png" class="m-1 rounded" width="80">
				<img src="./images/logo-heroku.png" class="m-1 rounded" width="80">
				<img src="./images/logo-mongodb.png" class="m-1 rounded" width="80">
				<img src="./images/logo-nodejs.png" class="m-1 rounded" width="80">
				<img src="./images/logo-postman.png" class="m-1 rounded" width="80">
			</div>
		</div>
		<!-- Tools End -->
		<!-- Main Content Section End -->

		<!-- Contact Start -->
		<h1 class="text-center my-4" id="message_me">Contact</h1>
		<div class="row justify-content-center mb-4 container-fluid">

			<!-- Facebook Link -->
			<div class="col-3 col-md-1">
				<a href="https://www.facebook.com/">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!--! Font Awesome Pro 6.2.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path d="M504 256C504 119 393 8 256 8S8 119 8 256c0 123.78 90.69 226.38 209.25 245V327.69h-63V256h63v-54.64c0-62.15 37-96.48 93.67-96.48 27.14 0 55.52 4.84 55.52 4.84v61h-31.28c-30.8 0-40.41 19.12-40.41 38.73V256h68.78l-11 71.69h-57.78V501C413.31 482.38 504 379.78 504 256z"/></svg>
				</a>
			</div>

			<!-- LinkedIn Link -->
			<div class="col-3 col-md-1">
				<a href="https://www.linkedin.com/">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512"><!--! Font Awesome Pro 6.2.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path d="M416 32H31.9C14.3 32 0 46.5 0 64.3v383.4C0 465.5 14.3 480 31.9 480H416c17.6 0 32-14.5 32-32.3V64.3c0-17.8-14.4-32.3-32-32.3zM135.4 416H69V202.2h66.5V416zm-33.2-243c-21.3 0-38.5-17.3-38.5-38.5S80.9 96 102.2 96c21.2 0 38.5 17.3 38.5 38.5 0 21.3-17.2 38.5-38.5 38.5zm282.1 243h-66.4V312c0-24.8-.5-56.7-34.5-56.7-34.6 0-39.9 27-39.9 54.9V416h-66.4V202.2h63.7v29.2h.9c8.9-16.8 30.6-34.5 62.9-34.5 67.2 0 79.7 44.3 79.7 101.9V416z"/></svg>
				</a>
			</div>

			<!-- GitLab Link -->
			<div class="col-3 col-md-1">
				<a href="https://gitlab.com/b245-tan">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><!-- Font Awesome Pro 5.15.4 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) --><path d="M105.2 24.9c-3.1-8.9-15.7-8.9-18.9 0L29.8 199.7h132c-.1 0-56.6-174.8-56.6-174.8zM.9 287.7c-2.6 8 .3 16.9 7.1 22l247.9 184-226.2-294zm160.8-88l94.3 294 94.3-294zm349.4 88l-28.8-88-226.3 294 247.9-184c6.9-5.1 9.7-14 7.2-22zM425.7 24.9c-3.1-8.9-15.7-8.9-18.9 0l-56.6 174.8h132z"/></svg>
				</a>
			</div>

			<!-- GitHub Link -->
			<div class="col-3 col-md-1">
				<a href="https://github.com/">
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 496 512"><!--! Font Awesome Pro 6.2.1 by @fontawesome - https://fontawesome.com License - https://fontawesome.com/license (Commercial License) Copyright 2022 Fonticons, Inc. --><path d="M165.9 397.4c0 2-2.3 3.6-5.2 3.6-3.3.3-5.6-1.3-5.6-3.6 0-2 2.3-3.6 5.2-3.6 3-.3 5.6 1.3 5.6 3.6zm-31.1-4.5c-.7 2 1.3 4.3 4.3 4.9 2.6 1 5.6 0 6.2-2s-1.3-4.3-4.3-5.2c-2.6-.7-5.5.3-6.2 2.3zm44.2-1.7c-2.9.7-4.9 2.6-4.6 4.9.3 2 2.9 3.3 5.9 2.6 2.9-.7 4.9-2.6 4.6-4.6-.3-1.9-3-3.2-5.9-2.9zM244.8 8C106.1 8 0 113.3 0 252c0 110.9 69.8 205.8 169.5 239.2 12.8 2.3 17.3-5.6 17.3-12.1 0-6.2-.3-40.4-.3-61.4 0 0-70 15-84.7-29.8 0 0-11.4-29.1-27.8-36.6 0 0-22.9-15.7 1.6-15.4 0 0 24.9 2 38.6 25.8 21.9 38.6 58.6 27.5 72.9 20.9 2.3-16 8.8-27.1 16-33.7-55.9-6.2-112.3-14.3-112.3-110.5 0-27.5 7.6-41.3 23.6-58.9-2.6-6.5-11.1-33.3 2.6-67.9 20.9-6.5 69 27 69 27 20-5.6 41.5-8.5 62.8-8.5s42.8 2.9 62.8 8.5c0 0 48.1-33.6 69-27 13.7 34.7 5.2 61.4 2.6 67.9 16 17.7 25.8 31.5 25.8 58.9 0 96.5-58.9 104.2-114.8 110.5 9.2 7.9 17 22.9 17 46.4 0 33.7-.3 75.4-.3 83.6 0 6.5 4.6 14.4 17.3 12.1C428.2 457.8 496 362.9 496 252 496 113.3 383.5 8 244.8 8zM97.2 352.9c-1.3 1-1 3.3.7 5.2 1.6 1.6 3.9 2.3 5.2 1 1.3-1 1-3.3-.7-5.2-1.6-1.6-3.9-2.3-5.2-1zm-10.8-8.1c-.7 1.3.3 2.9 2.3 3.9 1.6 1 3.6.7 4.3-.7.7-1.3-.3-2.9-2.3-3.9-2-.6-3.6-.3-4.3.7zm32.4 35.6c-1.6 1.3-1 4.3 1.3 6.2 2.3 2.3 5.2 2.6 6.5 1 1.3-1.3.7-4.3-1.3-6.2-2.2-2.3-5.2-2.6-6.5-1zm-11.4-14.7c-1.6 1-1.6 3.6 0 5.9 1.6 2.3 4.3 3.3 5.6 2.3 1.6-1.3 1.6-3.9 0-6.2-1.4-2.3-4-3.3-5.6-2z"/></svg>
				</a>
			</div>
		</div>

		<!-- Visit Us & Message Us -->
		<div class="row px-md-3 container-fluid">
			<div class="col-md-6 my-4">
				<h3 class="text-center my-4">Visit Us</h3>
				<iframe class="container-fluid" src="https://www.google.com/maps/embed?pb=!1m14!1m8!1m3!1d15446.683519003473!2d121.046364!3d14.560804!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x0%3A0xaa2f28279ff157cc!2sDUYAN%20at%20the%20fort!5e0!3m2!1sen!2sph!4v1673950932398!5m2!1sen!2sph" style="border:0;" allowfullscreen="" loading="lazy" height="500" referrerpolicy="no-referrer-when-downgrade"></iframe>
			</div>

			<!-- Message Me Form Start -->
			<div class="col-md-6 my-4">
				<h3 class="text-center my-4">Message Me</h3>
				<form class="rounded">

				  <div class="form-group">
				    <label class="text-secondary" for="full_name">Full Name</label>
				    <input type="text" class="form-control" id="full_name">
				  </div>

				  <div class="form-group">
				    <label class="text-secondary" for="email">Email address</label>
				    <input type="email" class="form-control" id="email">
				  </div>

				  <div class="form-group">
				    <label class="text-secondary" for="contact">Contact Number</label>
				    <input type="text" class="form-control" id="contact">
				  </div>

				  <div class="form-group">
				    <label class="text-secondary" for="message">Message</label>
				    <textarea class="form-control" id="message" rows="7"></textarea>
				  </div>
				  <div class="text-center">
				  	<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">Send Email</button>
				  </div>
				</form>
			</div>
			<!-- Message Me Form End -->

			<!-- Modal Start -->
				<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
				  <div class="modal-dialog">
				    <div class="modal-content">
				      <div class="modal-header">
				        <h5 class="modal-title" id="exampleModalLabel">Thank you for your response!</h5>
				        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
				          <span aria-hidden="true">&times;</span>
				        </button>
				      </div>
				      <div class="modal-body">
				        Message Sent!
				      </div>
				      <div class="modal-footer">
				        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
				      </div>
				    </div>
				  </div>
				</div>
				<!-- Modal End -->

		</div>
		<!-- Contact End -->

		<!-- Footer Start -->
		<footer class="text-center">
			<div class="container-fluid bg-dark text-white">
				<span class="mx-3">Jan Daniele Tan</span>
				<span class="mx-3">|</span>
				<span class="mx-3">Full Stack Web Developer</span>
				<span class="mx-3">|</span>
				<span class="mx-3">&copy;All Rights Reserved</span>
			</div>
		</footer>
		<!-- Footer End -->
		
		<!-- Bootstrap Script -->
		<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
	</body>
</html>